html, body {
  margin:0;
  margin-bottom: -16px;
  padding:0;
  font-family: 'Roboto', sans-serif;
  width: 100%;
  max-width: 100%;
}

main {
  display: block;
}

h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
}

pre {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}

a {
  background-color: transparent;
}

abbr[title] {
  border-bottom: none; /* 1 */
  text-decoration: underline; /* 2 */
  text-decoration: underline dotted; /* 2 */
}

b, strong {
  font-weight: bolder;
}

code, kbd, samp {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}

small {
  font-size: 80%;
}

sub, sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

img {
  border-style: none;
}

button, input, optgroup, select, textarea {
  font-family: inherit; /* 1 */
  font-size: 100%; /* 1 */
  line-height: 1.15; /* 1 */
  margin: 0; /* 2 */
}

button, input { /* 1 */
  overflow: visible;
}

button, select { /* 1 */
  text-transform: none;
}

button, [type=button], [type=reset], [type=submit] {
  -webkit-appearance: button;
}

button::-moz-focus-inner, [type=button]::-moz-focus-inner, [type=reset]::-moz-focus-inner, [type=submit]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

button:-moz-focusring, [type=button]:-moz-focusring, [type=reset]:-moz-focusring, [type=submit]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

fieldset {
  padding: 0.35em 0.75em 0.625em;
}

legend {
  box-sizing: border-box; /* 1 */
  color: inherit; /* 2 */
  display: table; /* 1 */
  max-width: 100%; /* 1 */
  padding: 0; /* 3 */
  white-space: normal; /* 1 */
}

progress {
  vertical-align: baseline;
}

textarea {
  overflow: auto;
}

[type=checkbox],[type=radio] {
  box-sizing: border-box;
  padding: 0;
}

[type=number]::-webkit-inner-spin-button, [type=number]::-webkit-outer-spin-button {
  height: auto;
}

[type=search] {
  -webkit-appearance: textfield; 
  outline-offset: -2px; 
}

[type=search]::-webkit-search-decoration {
  -webkit-appearance: none;
}

::-webkit-file-upload-button {
  -webkit-appearance: button; 
  font: inherit
}


details {
  display: block;
}

summary {
  display: list-item;
}

template {
  display: none;
}

[hidden] {
  display: none;
}

/*** Loader ***/
.loader {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  background: white;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: hideLoader 1s 1s ease-out forwards;
}

.center-body {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
}

.loader-circle-12 {
  width: 70px;
  height: 70px;
  border: 5px solid #9356DC;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  animation: rotation 1s linear infinite;
}

.loader-circle-12:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  background: #99E2D0;
  width: 25px;
  height: 25px;
  transform: translate(-50%, 50%);
  border-radius: 50%;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes hideLoader {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    pointer-events: none;
  }
}

/*** Pages restaurants ***/
/*** Header ***/
.nav-container {
  box-sizing: border-box;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1490196078);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.logo {
  height: 44px;
  width: 162px;
}

.header-container {
  width: 100%;
  height: 100%;
}

.menu-container {
  width: 100%;
}

.localize-me {
  background-color: #EAEAEA;
  padding: 20px 16px;
  text-align: center;
  box-shadow: #EAEAEA;
}

.localize-cityname {
  font-size: 16px;
  font-weight: 500;
}

.geoloc-logo {
  width: 12px;
  height: 16px;
  margin-right: 17px;
}

.header-txt {
  background-color: #f6f6f6;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.header-title {
  font-size: 24px;
  font-weight: 700;
  text-align: center;
}

.header-subtitle {
  font-family: Roboto;
  font-size: 18px;
  font-weight: 300;
  text-align: center;
  line-height: 21px;
  letter-spacing: 0em;
  text-align: center;
}

.header-resto {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  position: relative;
  height: 63px;
}

.arrow-color {
  position: absolute;
  color: black;
  width: 17px;
  height: 16px;
  left: 23px;
  top: 23px;
}

.logo-resto {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.img-resto {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.img-resto-size {
  width: 100%;
  height: 250px;
}

/*** media querries / Header page restaurants ***/
@media all and (min-width: 768px) {
  .nav-container {
    height: 96px;
  }
  .logo {
    width: 200px;
    height: 35px;
    padding: 0px;
  }
  .arrow-color {
    position: absolute;
    color: black;
    width: 17px;
    height: 16px;
    left: 23px;
    top: 40px;
  }
  .img-resto-size {
    width: 100%;
    height: 500px;
  }
}

@media all and (min-width: 1019.98px) {
  .header-title {
    margin-bottom: 0px;
  }
}


/*** Main / pages restaurants ***/
.center-menu {
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: center;
}

.restoname-heart {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.menu-restaurant {
  width: 100%;
  height: 100%;
  background: #F6F6F6;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: -50px;
}

.menu-resto-name {
  font-family: Shrikhand;
  font-size: 28px;
  font-style: italic;
  font-weight: 700;
  line-height: 41px;
  letter-spacing: 0em;
  text-align: left;
}

.heart-resto {
  margin-left: 100px;
}

.menu-entree {
  font-family: Roboto;
  font-size: 16px;
  font-weight: 300;
  line-height: 19px;
  letter-spacing: 0em;
  text-align: left;
  font-style: unset;
  position: relative;
}

.menu-entree::before {
  content: "";
  width: 40px;
  height: 3px;
  background: #99E2D0;
  position: absolute;
  bottom: -5px;
  left: 0;
}

.menu {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.menu-btn {
  width: 349px;
  height: 69px;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: space-between;
  box-shadow: 0px 4.0114941597px 15.0431032181px 0px rgba(0, 0, 0, 0.1019607843);
  margin-bottom: 12px;
  margin-right: 0px;
  border-radius: 15px;
  border: none;
  background-color: white;
  padding: 0px 0px 0px 15px;
  position: relative;
  overflow: hidden;
}

.last-btn {
  margin-bottom: 25px;
}

.plat-title {
  text-overflow: ellipsis;
  font-family: Roboto;
  font-size: 18px;
  font-weight: 500;
  line-height: 21px;
  letter-spacing: 0em;
  text-align: left;
  margin-bottom: 5px;
  margin-top: 10px;
  white-space: nowrap;
  overflow: hidden;
  transition: linear 0.3s;
}

.plat-description {
  width: 100%;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  transition: linear 0.3s;
}

.plat-subtitle {
  font-family: Roboto;
  font-size: 15px;
  font-weight: 300;
  line-height: 18px;
  letter-spacing: 0em;
  text-align: left;
  margin: 0px 0px 12px 0px;
  text-overflow: ellipsis;
  overflow: hidden;
  transition: linear 0.3s;
}

.plat-prix {
  display: flex;
  margin: 0px 15px 12px 0px;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 700;
  line-height: 18px;
  letter-spacing: 0em;
  text-align: center;
}

.price-check {
  display: flex;
  flex-direction: row;
  align-items: end;
}

.green-check {
  position: absolute;
  width: 59px;
  height: 69px;
  background: #99E2D0;
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  right: -59px;
}

.green-check .i {
  width: 30px;
  height: 30px;
}

.check-color {
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn {
  width: 218px;
  height: 50px;
  border-radius: 25px;
  background: linear-gradient(0deg, rgba(147, 86, 220, 0.9), rgba(255, 121, 218, 0.9));
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.2509803922);
  border: none;
  font-family: Roboto;
  font-size: 16px;
  font-weight: 500;
  line-height: 19px;
  letter-spacing: 0em;
  text-align: center;
  color: white;
  margin-bottom: 50px;
  text-decoration: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.btn:hover {
  background: linear-gradient(200.64deg, #9356DC -5.2%, #FF79DA 110.74%), linear-gradient(0deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0.15));
  cursor: pointer;
  box-shadow: 0px 4px 15px 0px rgba(0, 0, 0, 0.3490196078);
}

.btn-order {
  width: 186px;
  margin: 30px 0px 40px 0px;
  padding: 0;
  font-family: sans-serif;
}

.card-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.card {
  width: calc(100% - 35px);
  height: 251px;
  border-radius: 15px;
  background-color: white;
  margin-bottom: 18px;
  position: relative;
}

.card img {
  width: 100%;
  height: 70%;
  box-sizing: border-box;
  object-fit: cover;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
}

.fix-tag {
  display: flex;
  justify-content: end;
}

.tag {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 29px;
  width: 80px;
  border-radius: 2px;
  background: #99E2D0;
  color: #008766;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1490196078);
  font-family: Roboto;
  font-size: 14px;
  font-weight: 500;
  line-height: 16px;
  margin: 13px 12px 0px 0px;
}

.card-title {
  font-family: Roboto, sans-serif;
  font-size: 18px;
  font-weight: 700;
  line-height: 21px;
  letter-spacing: 0em;
  margin: 16px 0px 5px 13px;
}

.list-restaurant .container {
  width: 100%;
  margin: 0 auto;
}

.card-subtitle {
  font-size: 17px;
  font-weight: 300;
  padding: 0px 0px 12px 13px;
  margin: 0px;
}

.card-link {
  text-decoration: none;
  color: black;
}

.card-content {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  position: relative;
}

/*** media querries / Main page restaurants ***/
@media all and (min-width: 1020px) {
  .menu-btn {
    width: 634px;
  }
}
@media all and (min-width: 768px) {
  .menu-restaurant {
    width: 74%;
  }
  .heart-resto {
    margin-left: 35px;
  }
  .menu-btn {
    width: 490px;
  }
  
  .menu-btn:hover .plat-description {
    width: 300px;
  }
}

/*** Footer / pages restaurants ***/
.footer {
  background: #353535;
}

.mini-logo {
  width: 137px;
  height: 27px;
  margin: 22px 0px 16px 15px;
}

.mini-logo path {
  fill: white;
}

ul{
  padding-inline-start: 0px;
} 

.clean-link {
  list-style-type: none;
  margin-left: 22px;
  padding-bottom: 7px;
}

.footer-link {
  text-decoration: none;
  color: white;
}
.footer-link:hover {
  cursor: pointer;
  text-decoration: underline;
}

.icon-footer {
  width: 11px;
  height: 13px;
  color: white;
  padding-right: 11px;
}

.last-link {
  padding-bottom: 22px;
}

/*** media querries / Footer page restaurants ***/
@media all and (min-width: 768px) {
  .footer {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: flex-start;
    height: 114px;
  }
  .clean-link {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 0px;
    margin-top: 25px;
  }
  .mini-logo {
    margin: 35px 25px 0px 55px;
  }
  .last-link {
    padding-bottom: 0px;
  }
  .footer-style {
    margin-right: 35px;
  }
  .footer-link {
    font-size: 14px;
  }
  .links{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 0px;
    margin-top: 25px;
}
}

/*** animation coeur sur les cartes restaurants de la homepage ***/
.heart-container {
  position: relative;
  width: 40px;
  height: 40px;
  cursor: pointer;
  transform: scale(0.5);
  right: 20px;
  top: -10px;
}
.heart-clip {
  display: block;
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;
  clip-path: url(#svgPath);
}
.heart-clip:hover {
  animation: pulse 0.6s 0.3s;
}
.heart-clip:hover::before {
  transform: scale(1);
  opacity: 1;
}

.heart-clip::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: linear-gradient(193.33deg, #9356DC -11.44%, #FF79DA 123.93%);
  opacity: 0;
  transform: scale(0);
  transition: transform 0.2s linear, opacity 0.2s linear;
  transform-origin: center 60%;
}
.heart-clip.active {
  animation: pulse 0.6s 0.3s;
}
.heart-stroke {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  fill: black;
}
input[type=checkbox] {
  display: none;
}
input[type=checkbox]:checked ~ label .heart-clip::before {
  transform: scale(1);
  opacity: 1;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  30% {
    transform: scale(1.2);
  }
  60% {
    transform: scale(1);
  }
}

/*** animations header flèche / page restaurant ***/
.arrow-container {
  width: 30px;
  height: 16px;
}
.arrow-container:hover .arrow-color {
  transform: translateX(-10px);
  transition: transform 0.4s ease-in-out, width 0.4s ease-in-out, opacity 0.4s ease-in-out;
}

/*** animations plat menu / page restaurant ***/
.menu-btn {
  animation: swipeLeft 1s ease-out forwards;
  opacity: 0;
}
.menu-btn:nth-child(1) {
  animation-delay: 0.25s;
}
.menu-btn:nth-child(2) {
  animation-delay: 0.5s;
}
.menu-btn:nth-child(3) {
  animation-delay: 0.75s;
}
.menu-btn:nth-child(4) {
  animation-delay: 1s;
}
.menu-btn:nth-child(5) {
  animation-delay: 0.25s;
}
.menu-btn:nth-child(6) {
  animation-delay: 0.5s;
}
.menu-btn:nth-child(7) {
  animation-delay: 0.75s;
}
.menu-btn:nth-child(8) {
  animation-delay: 1s;
}
.menu-btn:nth-child(9) {
  animation-delay: 0.25s;
}
.menu-btn:nth-child(10) {
  animation-delay: 0.5s;
}

@keyframes swipeLeft {
  0% {
    transform: translateY(100px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

/*** animations green check/ page restaurant ***/
.menu-btn:hover .price-check {
    transform: translateX(-59px);
    transition: transform 0.4s ease-in-out,
                opacity 0.4s ease-in-out;
    opacity: 1;
}


@media all and (max-width: 768px) {
  .menu-btn:hover .plat-description {
    width: 200px;
  } 
}

/*** animations boutons commander / page restaurant ***/
.btn-order:hover {
  background: linear-gradient(200.64deg, #9356DC -5.2%, #FF79DA 110.74%), linear-gradient(0deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0.15));
}